//------------------------------------------------------------------------------
//工具生成，请勿修改。
//配置文件名称：lottery.xlsx。
//------------------------------------------------------------------------------
export default class LotteryCFG
{
	public id:number;//id
	public type:number;//属性类型
	public value:string;//类型值
	public weight:number;//权重
	public static dict:any = {};
	public static vec:Array<LotteryCFG> = [];
	public static initCfg(str:string):void
	{
		var i:number=0;
		var arr:Array<string> = str.split("\n");
		var i:number=0;
		for(i = 0; i < arr.length; i++)
		{
			var singleStr:string = arr[i];
			var singleArr:Array<string> = singleStr.split("&");
			if(LotteryCFG.dict[singleArr[0]])continue;
			var item:LotteryCFG= new LotteryCFG();
			item.id= Number(singleArr[0]);
			item.type= Number(singleArr[1]);
			item.value=singleArr[2];
			item.weight= Number(singleArr[3]);
			LotteryCFG.dict[item.id]=item;
			LotteryCFG.vec.push(item);
		}
	}

}